Updates callback URL, filters, active state, or signing secret for a vault webhook subscription.
curl --request PATCH \
--url https://api.case.dev/vault/{id}/events/subscriptions/{subscriptionId} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"callbackUrl": "<string>",
"eventTypes": [
"<string>"
],
"objectIds": [
"<string>"
],
"isActive": true,
"signingSecret": "<string>",
"clearSigningSecret": true
}
'API key starting with sk_case_
Updated webhook endpoint URL for deliveries
Updated event types to deliver for this subscription
Updated vault object IDs to limit notifications to. Pass an empty array to remove the filter.
Whether the subscription should continue delivering events
Replacement secret used to sign webhook deliveries
Whether to remove the existing signing secret
Vault webhook subscription updated successfully
Was this page helpful?
curl --request PATCH \
--url https://api.case.dev/vault/{id}/events/subscriptions/{subscriptionId} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"callbackUrl": "<string>",
"eventTypes": [
"<string>"
],
"objectIds": [
"<string>"
],
"isActive": true,
"signingSecret": "<string>",
"clearSigningSecret": true
}
'